### 

Always up-to-date link to [resume](https://pleshevski.ru/eng/).

### Overview

My name is Dmitriy Pleshevskiy.

I'm an open source software enthusiast, a lead software developer, architect,
team leader and also mentor.

### Skills

Programming Languages:

- TypeScript (prefer, solid 9-year exp)
- SQL (prefer, solid 8-year exp)
- Rust (prefer, solid 5-year exp)
- Python (solid 9-year exp)
- Haskell
- Bash
- Java
- C#
- C++

Databases:

- PostgreSQL (prefer, solid 7-year exp)
- MySQL
- Sqlite
- MsSQL
- MongoDB
- Reddis

I also have extensive experience in creating the following applications:

- Traditional (SSR + Forms)
- API (REST/GraphQL/WebSocket/EventSource)
- Dynamic (SPA)
- Hybrid (SSR + SPA)
- Console
- Crossplatform

### Stack

Backend (Rust)

- axum (prefer, solid 2-year exp)
- async-graphql (prefer, solid 2-year exp)
- shaku (prefer, solid 2-year exp)
- bb8 + postgres-types (prefer, solid 5-year exp)
- diesel (2-year exp)

Backend (Node.JS)

- Apollo (solid 5-year exp)
- Express (solid 9-year exp)
- Nest.JS
- Knex.js / Objection.js (solid 5-year exp)
- Sequelize

Frontend

- React (solid 8-year exp)
- VueJS (prefer, solid 3-year exp)
- Cypress (prefer, solid 3-year exp)
- JQuery
- Antd / Antdv
- PostCSS (prefer, solid 5-year exp)
- Sass (prefer, solid 8-year exp)
- Less (weak 4-year exp)

DevOps

- NixOS / NixOps / Nix dev shell (prefer, solid 2-year exp)
- Docker Swarm (prefer, solid 5-year exp)
- Kubernetes (weak 4-year exp)
- Woodpecker CI (prefer, solid 3-year exp)
- Drone CI (solid 3-year exp)
- Gitlab CI (solid 7-year exp)
- GitHub Actions (3-year exp)

### Interests

Open-source projects are my passion! I develop, maintain and improve projects in
my spare time.

Besides programming, I love to cook and spend time with my beloved family!

### Contacts

SimpleX:
[Dmitriy Pleshevskiy](https://simplex.chat/contact#/?v=1-2&smp=smp%3A%2F%2FSkIkI6EPd2D63F4xFKfHk7I1UGZVNn6k1QWZ5rcyr6w%3D%40smp9.simplex.im%2FLfKyG0YgW5eRO-z8vrEyvnNfV2EKDfBv%23%2F%3Fv%3D1-2%26dh%3DMCowBQYDK2VuAyEAMRpR3YB10GVzc-asfqY2oIFkipx5RQm4DZRabzjfPHo%253D%26srv%3Djssqzccmrcws6bhmn77vgmhfjmhwlyr3u7puw4erkyoosywgl67slqqd.onion)

Telegram: [Dmitriy Pleshevskiy](https://telegram.me/da_pranaya)

Matrix: @pleshevskiy:matrix.org

Email: [dmitriy@pleshevski.ru](mailto:dmitriy@pleshevski.ru)

### Links

[My Git Repo](https://git.pleshevski.ru/)

[My Github (Suspended due to sanctions)](https://github.com/pleshevskiy)
